
#ifndef __SWATCH_H__
#define __SWATCH_H__

#include "FU68xx_5_Type.h"


#define Buge    100
typedef struct
{
    uint8  uartre[15];
    uint8  uartjia;
    uint8  uarttimejishu;
    uint8  cunflag;
    uint8  faflag;
    uint8  jiajia;
    int16  buff1[Buge];
    int16  buff2[Buge];
    int16  buff3[Buge];
    uint8  fajishu;
    uint8  fast;
    
} MCUART_watch;

extern MCUART_watch xdata Uartwatch;

extern void UART1RCE();
extern void UART1deal();
extern void trace1();
extern void uart_boxing(uint8 ChNum, int32 CH0, int32 CH1, int32 CH2, int32 CH3, int32 CH4, int32 CH5, int32 CH6, int32 CH7);

#endif


